#if !defined (__TIMAHJONGG_INCLUDE__)
#define __TIMAHJONGG_INCLUDE__

#include <tigcclib.h>

#define PROGRAM_NAME     "TI-Mahjongg"
#define PROGRAM_VERSION  "1.20"
#define TITLE_AND_VERSION PROGRAM_NAME" v"PROGRAM_VERSION

#if ((defined(USE_TI89) && defined(USE_TI92PLUS)) || (defined(USE_TI89) && defined(USE_V200)))
#error cannot produce both versions at once
#elif defined(USE_TI89)
#define C89_92(x,y) (x)
#elif defined(USE_TI92PLUS)
#define USE_V200
#define C89_92(x,y) (y)
#elif defined(USE_V200)
#define USE_TI92P
#define C89_92(x,y) (y)
#else
#error Please specify either -DUSE_TI89 or -DUSE_TI92P/-DUSE_V200 on commandline
#endif

#define offsetx C89_92(0,40)
#define offsety C89_92(0,14)

// logo.c
extern void Logo(void);

#endif

